Skip to main content

Refund Transaction

Use this endpoint to request the refund of a paid transaction.

Available Environments​

https://api.gateway.com.br/core

Endpoint​

  • Method: POST
  • Endpoint: /transaction/{id}/refund
  • Authentication: Bearer token

Path Params​

NameTypeRequiredDescriptionValidations
idstring (UUID)YesTransaction identifierMust be a valid UUID

Request Example​

curl --request POST \
--url https://api.gateway.com.br/core/transaction/553e8400-e29b-41d4-a716-436251480000/refund \
--header 'Authorization: Bearer your-jwt-token'

Success Response​

FieldTypeRequiredDescription
idstring (UUID)YesTransaction identifier
statusstring (enum) - PROCESSING_REFUNDYesRefund in progress

Response Example​

{
"id": "553e8400-e29b-41d4-a716-436251480000",
"status": "PROCESSING_REFUND"
}

Possible Errors​

CodeDescriptionSolution
401Invalid credentialsCheck your credentials
403No permission/authorizationContact support
404Record not foundCheck the id you sent
422Invalid or missing dataCheck the format of the data
422ValidationsContact support
500Internal errorContact support